#!/bin/sh

# Set Variables 
XF86_LIB_DIR="/usr/lib/xorg/modules"
XF86_DRV_DIR="/usr/lib/xorg/modules/drivers"

# Uninstall
if [ "$1" = "uninstall" ]; then
echo "AST2000/2100 Linux XORG 7.1 driver uninstall begin ...."
sudo rm -f $XF86_DRV_DIR/ast_drv.*

test -e ./backup/ast_drv.so && sudo cp -f ./backup/ast_drv.*   $XF86_DRV_DIR/ast_drv.*

sudo rm -rf ./backup
echo "AST2000/2100 Linux XORG 7.1 driver Uninstall Finished"
exit 0
fi

# Install
echo "AST2000/2100 Linux XORG 7.1 driver update begin ...."
sudo rm -rf ./backup
sudo mkdir ./backup
test -e $XF86_DRV_DIR/ast_drv.so && sudo cp -f $XF86_DRV_DIR/ast_drv.* ./backup

sudo rm -f $XF86_DRV_DIR/ast_drv.*

sudo cp -f ast_drv.*   $XF86_DRV_DIR

echo "AST2000/2100 Linux XORG 7.1 driver update finished"

