#!/bin/sh

# Set Variables 
XF86_LIB_DIR="/usr/X11R6/lib/modules"
XF86_DRV_DIR="/usr/X11R6/lib/modules/drivers"

# Uninstall
if [ "$1" = "uninstall" ]; then
echo "AST2000/2100 Linux XORG 6.9 driver uninstall begin ...."
sudo rm -f $XF86_DRV_DIR/ast_drv.*
sudo rm -f $XF86_LIB_DIR/libddc.*
sudo rm -f $XF86_LIB_DIR/libfb.*
sudo rm -f $XF86_LIB_DIR/libint10.*
sudo rm -f $XF86_LIB_DIR/libramdac.*
sudo rm -f $XF86_LIB_DIR/libvbe.*
sudo rm -f $XF86_LIB_DIR/libvgahw.*
sudo rm -f $XF86_LIB_DIR/libxaa.*

test -e ./backup/ast_drv.* && sudo cp -f ./backup/ast_drv.*   $XF86_DRV_DIR
sudo cp -f ./backup/libddc.*    $XF86_LIB_DIR
sudo cp -f ./backup/libfb.*     $XF86_LIB_DIR
sudo cp -f ./backup/libint10.*  $XF86_LIB_DIR 
# sudo cp -f ./backup/libint10.*  $XF86_LIB_DIR/Linux
sudo cp -f ./backup/libramdac.* $XF86_LIB_DIR
sudo cp -f ./backup/libvbe.*    $XF86_LIB_DIR
sudo cp -f ./backup/libvgahw.*  $XF86_LIB_DIR
sudo cp -f ./backup/libxaa.*    $XF86_LIB_DIR

sudo rm -rf ./backup
echo "AST2000/2100 Linux XORG 6.9 driver Uninstall Finished"
exit 0
fi

# Force Install
if [ "$1" = "force" ]; then
echo "AST2000/2100 Linux XORG 6.9 driver update begin ...."
sudo rm -rf ./backup
sudo mkdir ./backup
test -e $XF86_DRV_DIR/ast_drv.* && sudo cp -f $XF86_DRV_DIR/ast_drv.* ./backup
sudo cp -f $XF86_LIB_DIR/libddc.* ./backup
sudo cp -f $XF86_LIB_DIR/libfb.* ./backup
sudo cp -f $XF86_LIB_DIR/libint10.* ./backup
sudo cp -f $XF86_LIB_DIR/libramdac.* ./backup
sudo cp -f $XF86_LIB_DIR/libvbe.* ./backup
sudo cp -f $XF86_LIB_DIR/libvgahw.* ./backup
sudo cp -f $XF86_LIB_DIR/libxaa.* ./backup

sudo rm -f $XF86_DRV_DIR/ast_drv.*
sudo rm -f $XF86_LIB_DIR/libddc.*
sudo rm -f $XF86_LIB_DIR/libfb.*
sudo rm -f $XF86_LIB_DIR/libint10.* 
# sudo rm -f $XF86_LIB_DIR/Linux/libint10.*
sudo rm -f $XF86_LIB_DIR/libramdac.*
sudo rm -f $XF86_LIB_DIR/libvbe.*
sudo rm -f $XF86_LIB_DIR/libvgahw.*
sudo rm -f $XF86_LIB_DIR/libxaa.*

sudo cp -f ast_drv.*   $XF86_DRV_DIR
sudo cp -f libddc.*    $XF86_LIB_DIR
sudo cp -f libfb.*     $XF86_LIB_DIR
sudo cp -f libint10.*  $XF86_LIB_DIR 
# sudo cp -f libint10.*  $XF86_LIB_DIR/Linux
sudo cp -f libramdac.* $XF86_LIB_DIR
sudo cp -f libvbe.*    $XF86_LIB_DIR
sudo cp -f libvgahw.*  $XF86_LIB_DIR
sudo cp -f libxaa.*    $XF86_LIB_DIR

echo "AST2000/2100 Linux XORG 6.9 driver update finished"
exit 0
fi

# Install
echo "AST2000/2100 Linux XORG 6.9 driver update begin ...."
sudo rm -rf ./backup
sudo mkdir ./backup
test -e $XF86_DRV_DIR/ast_drv.* && sudo cp -f $XF86_DRV_DIR/ast_drv.* ./backup
sudo cp -f $XF86_LIB_DIR/libddc.* ./backup
sudo cp -f $XF86_LIB_DIR/libfb.* ./backup
sudo cp -f $XF86_LIB_DIR/libint10.* ./backup
sudo cp -f $XF86_LIB_DIR/libramdac.* ./backup
sudo cp -f $XF86_LIB_DIR/libvbe.* ./backup
sudo cp -f $XF86_LIB_DIR/libvgahw.* ./backup
sudo cp -f $XF86_LIB_DIR/libxaa.* ./backup

sudo rm -f $XF86_DRV_DIR/ast_drv.*
sudo cp -f ast_drv.*   $XF86_DRV_DIR
echo "AST2000/2100 Linux XORG 6.9 driver update finished"


